<?php

declare(strict_types=1);

namespace App\Enum\Message;

use App\Enum\EnumMethodsTrait;

/**
 * Cycle Enum.
 */
enum MessageStatusEnum: string
{
    use EnumMethodsTrait;

    case DRAFT = 'DRAFT';
    case CREATING = 'CREATING';
    case READY = 'READY';
    case SEND = 'SEND';
    case PRINTED = 'PRINTED';
    case SENDING_IN_PROGRESS = 'SENDING_IN_PROGRESS';
    case FAILED = 'FAILED';
    case NO_RECIPIENT = 'NO_RECIPIENT';
}
